/* 
 *  Licensed Materials - Property of IBM 
 *  Component IBM Rational ROSE_RT BUILD : TARGET_RTS 
 *  (c) Copyright IBM Corporation 1991, 2006 All Rights Reserved. 
 */

#include <RTMemoryUtil.h>

#ifdef NO_BUILTIN_MEM

void RTMemoryUtil::memcpy( void * dst, const void * src, int len )
{
    char       * d = (char *)dst;
    const char * s = (const char *)src;

    while( len-- )
	*d++ = *s++;
}

#else

#if defined( VXWORKS60 )
#include <string.h>
#else
#include <RTstdio.h>
#endif

void RTMemoryUtil::memcpy( void * dst, const void * src, int len )
{
    (void)::memcpy( dst, src, (size_t)len );
}

#endif
