/* 
 *  Licensed Materials - Property of IBM 
 *  Component IBM Rational ROSE_RT BUILD : TARGET_RTS 
 *  (c) Copyright IBM Corporation 1991, 2006 All Rights Reserved. 
 */

#ifndef __RTMutex_h__
#define __RTMutex_h__ included

#ifdef PRAGMA
#pragma interface
#endif

#ifndef __RTConfig_h__
#include <RTConfig.h>
#endif

#include <semLib.h>

class RTMutex
{
protected:
    SEM_ID  sem_id;

public:
	    RTMutex( void );
	    ~RTMutex( void );

    void    enter( void );
    void    leave( void );

private:
    // unavailable methods
    RTMutex( const RTMutex & );
    RTMutex & operator=( const RTMutex & );
};

#endif // __RTMutex_h__
