/* 
 *  Licensed Materials - Property of IBM 
 *  Component IBM Rational ROSE_RT BUILD : TARGET_RTS 
 *  (c) Copyright IBM Corporation 1991, 2006 All Rights Reserved. 
 */

#ifdef PRAGMA
#pragma implementation "RTDiag.h"
#endif

#include <RTDiag.h>
#include <RTDiagStream.h>

void RTDiag::panic( const char * message )
{
    static bool suppressed = false;

    if( ! suppressed )
    {
	suppressed = true;

	RTDiagStream & diag = RTDiag::out();

	diag.lock() << "panic: " << message << "\n";
	diag.unlock();

	for(;;)
	{
	    // don't get deeper into trouble
	}
    }
}
